Package io.strimzi.systemtest.keycloak

## Class KeycloakInstance

- java.lang.Object
- - io.strimzi.systemtest.keycloak.KeycloakInstance

-     public class KeycloakInstance
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `KEYCLOAK_SECRET_CERT` |
    `static String` | `KEYCLOAK_SECRET_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KeycloakInstance​(String username, String password, String namespace)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getHttpsUri()` |
    `String` | `getHttpUri()` |
    `String` | `getIntrospectionEndpointUri()` |
    `String` | `getJwksEndpointUri()` |
    `int` | `getJwksExpireSeconds()` |
    `int` | `getJwksRefreshSeconds()` |
    `String` | `getKeystorePassword()` |
    `Pattern` | `getKeystorePattern()` |
    `String` | `getNamespace()` |
    `String` | `getOauthTokenEndpointUri()` |
    `String` | `getPassword()` |
    `String` | `getUsername()` |
    `String` | `getUserNameClaim()` |
    `String` | `getValidIssuerUri()` |
    `void` | `setIntrospectionEndpointUri​(String introspectionEndpointUri)` |
    `void` | `setJwksEndpointUri​(String jwksEndpointUri)` |
    `void` | `setKeystorePattern​(Pattern keystorePattern)` |
    `void` | `setOauthTokenEndpointUri​(String oauthTokenEndpointUri)` |
    `void` | `setRealm​(String realmName, boolean tlsEnabled)` |
    `void` | `setUserNameClaim​(String userNameClaim)` |
    `void` | `setValidIssuerUri​(String validIssuerUri)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### KEYCLOAK_SECRET_NAME

          public static final String KEYCLOAK_SECRET_NAME

      See Also:
        Constant Field Values

    - #### KEYCLOAK_SECRET_CERT

          public static final String KEYCLOAK_SECRET_CERT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KeycloakInstance

          public KeycloakInstance​(String username,
                                  String password,
                                  String namespace)

  - ### Method Detail

    - #### setRealm

          public void setRealm​(String realmName,
                               boolean tlsEnabled)

    - #### getKeystorePassword

          public String getKeystorePassword()

    - #### getUsername

          public String getUsername()

    - #### getPassword

          public String getPassword()

    - #### getNamespace

          public String getNamespace()

    - #### getHttpsUri

          public String getHttpsUri()

    - #### getHttpUri

          public String getHttpUri()

    - #### getValidIssuerUri

          public String getValidIssuerUri()

    - #### setValidIssuerUri

          public void setValidIssuerUri​(String validIssuerUri)

    - #### getJwksEndpointUri

          public String getJwksEndpointUri()

    - #### setJwksEndpointUri

          public void setJwksEndpointUri​(String jwksEndpointUri)

    - #### getOauthTokenEndpointUri

          public String getOauthTokenEndpointUri()

    - #### setOauthTokenEndpointUri

          public void setOauthTokenEndpointUri​(String oauthTokenEndpointUri)

    - #### getIntrospectionEndpointUri

          public String getIntrospectionEndpointUri()

    - #### setIntrospectionEndpointUri

          public void setIntrospectionEndpointUri​(String introspectionEndpointUri)

    - #### getUserNameClaim

          public String getUserNameClaim()

    - #### setUserNameClaim

          public void setUserNameClaim​(String userNameClaim)

    - #### getKeystorePattern

          public Pattern getKeystorePattern()

    - #### setKeystorePattern

          public void setKeystorePattern​(Pattern keystorePattern)

    - #### getJwksExpireSeconds

          public int getJwksExpireSeconds()

    - #### getJwksRefreshSeconds

          public int getJwksRefreshSeconds()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`